IPCop-Forum.de

www.ipcop-forum.de


IPCop-Community
CL-Systems
Home Home   Doku Doku   Links Links   Downloads Downloads
UnIPCop Der (Un)IPCop   IFS IPCop-ForumSpy
CopTime CopTime   Galerie IPCop-Galerie   IPCop Userkarte Userkarte
Aktuelle Zeit: 21.10.2017, 16:09

Alle Zeiten sind UTC+02:00




Ein neues Thema erstellen  Auf das Thema antworten  [ 18 Beiträge ]  Gehe zu Seite 1 2 Nächste
Autor Nachricht
BeitragVerfasst: 19.11.2016, 13:08 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
Hi Leute,

bin jetzt seit über einem Jahr auf der 2.1.8 und sehe im unteren Fenster "Alle Updates installiert".
Jedesmal wenn ich unter Updates auf den Button "Aktualisiere Update-Liste" klicke, erhalte ich oberhalb des ersten Fensters ein zusätzliches rotes Fenster: "Fehlermeldungen" mit dem Inhalt: "Die Update-Liste konnte nicht heruntergeladen werden".

Ich habe "Nach Verbindung auf Updates überprüfen" aktiv. Und gerade eben habe ich "Vorab-Download verfügbarer Updates" aktiviert, obwohl ich nicht denke, daß sich dadurch etwas ändert.

Was läuft falsch bei mir?
Wie komme ich an die 2.1.9?

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 19.11.2016, 13:20 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Zerberus hat geschrieben:
Wie komme ich an die 2.1.9?
:arrow: https://sourceforge.net/projects/ipcop/ ... p%202.1.9/
Zerberus hat geschrieben:
Was läuft falsch bei mir?
Was steht in den LOGs?

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 19.11.2016, 14:25 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
edelweis hat geschrieben:
Zerberus hat geschrieben:
Wie komme ich an die 2.1.9?
:arrow: https://sourceforge.net/projects/ipcop/ ... p%202.1.9/
Zerberus hat geschrieben:
Was läuft falsch bei mir?
Was steht in den LOGs?


Wenn Du /var/log/messages meinst: nichts. Der Klick auf den Button hinterläßt dort keine Spur.

Wen Du die Logfiles im rechtesten Menüpunkt meinst, egal welches: das gleiche, nichts ist dort sichtbar.

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 19.11.2016, 14:41 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Poste die Ausgaben von
Code:
ls -al /var/log/updates/
ls -al /var/lock/
Ausserdem bitte das, was bei dir in den Logs unter "Protokolle" -> "Systemprotokolle" -> Abschnitt "Updates" steht.

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 19.11.2016, 14:55 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
edelweis hat geschrieben:
Poste die Ausgaben von
Code:
ls -al /var/log/updates/
ls -al /var/lock/
Ausserdem bitte das, was bei dir in den Logs unter "Protokolle" -> "Systemprotokolle" -> Abschnitt "Updates" steht.


Okay:

Code:
root@ipcop:/var/log/updates # ls -al
total 8
drwxr-xr-x  2 nobody nobody 4096 Jan 25  2015 .
drwxr-xr-x 13 root   root   4096 Nov 19 00:00 ..


Code:
root@ipcop:/var/lock # ls -la
total 12
drwxr-xr-x  3 root root 4096 Jul 17  2015 .
drwxr-xr-x 12 root root 4096 Jul 17  2015 ..
-rw-r--r--  1 root root    0 Nov 18 22:45 puzzleFwRules
drwxr-xr-x  2 root root 4096 Jan 25  2015 subsys


Der Abschnitt "Updates" kommt bei mir in "Systemprotokolle" nicht vor

Danke für Deine Hilfe

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 19.11.2016, 15:15 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Zerberus hat geschrieben:
Code:
root@ipcop:/var/log/updates # ls -al
total 8
drwxr-xr-x  2 nobody nobody 4096 Jan 25  2015 .
drwxr-xr-x 13 root   root   4096 Nov 19 00:00 ..
Da fehlen 2 Dateien. :denk: Müsste so aussehen:
Code:
root@prodcopv2:~ # ls -al /var/log/updates
total 0
drwxr-xr-x  2 nobody nobody  80 Nov 19 15:13 .
drwxr-xr-x 15 root   root   980 Nov 19 02:20 ..
-rw-r--r--  1 nobody nobody   0 Apr  9  2016 blacklist.last
-rw-r--r--  1 nobody nobody   0 Nov 19 15:13 update.check
root@prodcopv2:~ #

Zerberus hat geschrieben:
Der Abschnitt "Updates" kommt bei mir in "Systemprotokolle" nicht vor

Sicher, dass es nachfoglenden Punkt im WebGUI bei dir nicht gibt?
Bild

Wenn du im Menu "Updates" die Updateliste manuell aktualisierst, musst du einen Eintrag mit entsprechendem Zeitstempel haben.
Sollte nach einer manuellen Aktualisierung kein Eintrag unter dem Menupunkt auftauchen, versuche folgendes:
Code:
touch /var/log/updates/update.check
chown nobody:nobody /var/log/updates/update.check
chmod 0644 /var/log/updates/update.check
ls -al /var/log/updates/

Danach sollte die Ausgabe ähnlich meiner aussehen. Danach manuell via WebGUI die Updateliste aktualisieren, prüfen, ob es i mLOG-Menu einen entsprechenden Eintrag gibt und ob sich der Zeitstempel der Datei /var/log/updates/update.check verändert hat.

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 19.11.2016, 15:28 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
Habe update.check entsprechend Deinen Vorgaben erzeugt.
Das Verhalten beim Klick auf Update-Liste aktualisieren ist das gleiche: immer noch die Fehlermeldung.
Im Protokoll taucht weiterhin nichts auf.
Im Directory ist das Datum danach unverändert. D.h. sie wird nicht neu geschrieben. Jetzt sieht es so aus:

Code:
root@ipcop:/var/log/updates # ls -la
total 8
drwxr-xr-x  2 nobody nobody 4096 Nov 19 15:23 .
drwxr-xr-x 13 root   root   4096 Nov 19 00:00 ..
-rw-r--r--  1 nobody nobody    0 Nov 19 15:23 update.check


CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 19.11.2016, 17:46 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Poste bitte die Ausgabe von
Code:
ls -al /usr/local/bin/updatelists.pl
und den Inhalt der Datei.

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 19.11.2016, 17:51 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
Okay:
Code:
ls -al /usr/local/bin/updatelists.pl
-rwxr-xr-x 1 root root 1940 Jan 25  2015 /usr/local/bin/updatelists.pl



Code:
#!/usr/bin/perl
#
# This file is part of the IPCop Firewall.
#
# IPCop is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# IPCop is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with IPCop.  If not, see <http://www.gnu.org/licenses/>.
#
# (c) 2006-2012, the IPCop team
#
# $Id: updatelists.pl 6539 2012-04-09 13:07:57Z owes $
#

use strict;
use LWP::UserAgent;
require '/usr/lib/ipcop/general-functions.pl';


my %mainsettings  = ();
$mainsettings{'CHECKUPDATES'} = 'off';
$mainsettings{'PRELOADUPDATES'} = 'off';
&General::readhash('/var/ipcop/main/settings', \%mainsettings);

if (($ARGV[0] eq '--cron') || ($ARGV[0] eq 'cron')) {
    exit 1 unless (-e "/var/ipcop/red/active");

    # spread the load on the servers by waiting a random length of time...
    my $sleepwait = int(rand(60));
    sleep $sleepwait;
}
elsif (($ARGV[0] eq '--red') || ($ARGV[0] eq 'red')) {
    exit 1 unless (-e "/var/ipcop/red/active");

    exit 0 unless ($mainsettings{'CHECKUPDATES'} eq 'on');
}
else {
    # Test connection up here, to avoid dying later.
    if (! -e "/var/ipcop/red/active") {
        print "RED connection is down.\n";
        exit 1;
    }
}


my @this;
my $return = &General::downloadpatchlist($mainsettings{'PRELOADUPDATES'});
if ($return == 0) {
    # Got it
}
elsif ($return == 1) {
    print "RED connection is down.\n";
}
elsif ($return == 2) {
    print "Could not open available updates file.\n";
}
else {
    print "Could not download the available updates list.\n";
}

exit $return;


Leider sind meine Perl Kenntnisse praktisch nicht vorhanden :-(

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 19.11.2016, 18:13 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Hm, irgendwie drängt sich mir der "Verdacht" auf, dass das kein "echter" IPCop v2.1.8 ist, sondern einer, der von einem SVN aus aktualisiert wurde. :denk:
Deine Datei ist eine andere Version als dort eigentlich sein sollte. :denk:

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 19.11.2016, 18:57 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
edelweis hat geschrieben:
Hm, irgendwie drängt sich mir der "Verdacht" auf, dass das kein "echter" IPCop v2.1.8 ist, sondern einer, der von einem SVN aus aktualisiert wurde. :denk:
Deine Datei ist eine andere Version als dort eigentlich sein sollte. :denk:


Hi Edelweis,

nein ich habe definitiv keine svn Version vor über einem Jahr eingespielt. Ich habe mir eine Version runtergezogen, die ich für eine "echte" offizielle 2.1.8 gehalten habe. Können wir irgendwie feststellen, ob diese Version eine offizielle oder wirklich ein Entwicklerversion war? Gibt ja bestimmt die eine oder andere Datei, an der das hängen dürfte?

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 20.11.2016, 11:46 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Zerberus hat geschrieben:
Können wir irgendwie feststellen, ob diese Version eine offizielle oder wirklich ein Entwicklerversion war? Gibt ja bestimmt die eine oder andere Datei, an der das hängen dürfte?
Kann ich leider nicht sagen. Hab auch im Moment keine Idee mehr, warum das bei dir nicht funktioniert.

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 20.11.2016, 12:21 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
Hi Edelweis,

Du hast geschrieben, daß Du das für eine SVN Version hältst. Ist das aufgrund eines Vermerkes im Kommentar-Header oder ist das aufgrund von Unterschieden im Code?

Sollte ich einen Ersatz mit einer "echten offiziellen" 2.1.8 vornehmen? :denk:

CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
BeitragVerfasst: 20.11.2016, 21:09 
Offline
Site-Moderator
Site-Moderator
Benutzeravatar

Registriert: 18.12.2007
Beiträge: 3326
Wohnort: Im Norden bei mir zu Hause
Zerberus hat geschrieben:
Du hast geschrieben, daß Du das für eine SVN Version hältst.
Ja, weil eine SVN-Version die gleiche Meldung bringt.
Zerberus hat geschrieben:
Ist das aufgrund eines Vermerkes im Kommentar-Header oder ist das aufgrund von Unterschieden im Code?
Sehr wahrscheinlich im Code, ich kann nur nicht sagen, wo genau es sich im Code "versteckt".
Zerberus hat geschrieben:
Sollte ich einen Ersatz mit einer "echten offiziellen" 2.1.8 vornehmen?
Würde ich zumindest mit einer Testinstallation gegenprüfen. Vorher eine Datensicherung machen und in die Installation einspielen.

Poste auch mal die Ausgabe von
Code:
cat /usr/lib/ipcop/general-functions.pl | grep "$Id: general-function"

_________________
Gruß edelweis

Sledgehammer engineering, if it doesn't work, hammer it damn hard :super:

Bild
Bild
Meine Vorstellung


Nach oben
   
BeitragVerfasst: 20.11.2016, 22:29 
Offline
Chief Inspector
Themenstarter
Chief Inspector

Registriert: 04.06.2006
Beiträge: 118
Wohnort: Zell u.A. / BW / D
edelweis hat geschrieben:
Poste auch mal die Ausgabe von
Code:
cat /usr/lib/ipcop/general-functions.pl | grep "$Id: general-function"

Hier ist es:
Code:
cat /usr/lib/ipcop/general-functions.pl | grep "$Id: general-function"
# $Id: general-functions.pl 7485 2014-04-17 20:30:54Z owes $


CIAO Zerberus

_________________
IPCop 1.4.21 | PI-200, 128MB, 4GB, R(10M)G(100M) (steht abgeschaltet daneben)
IPCop 2.1.8 | PIII-1000, 1.5GB, 110GB, R(100M) G(1G) B(1G)


Nach oben
   
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen  Auf das Thema antworten  [ 18 Beiträge ]  Gehe zu Seite 1 2 Nächste

Alle Zeiten sind UTC+02:00


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.

Suche nach:
Gehe zu Forum:  
Powered by phpBB® Forum Software © phpBB Limited
Deutsche Übersetzung durch phpBB.de